KMEM_CACHE_DESTROY(9)

NAME
kmem_cache_destroy - delete a cache

SYNOPSIS

int kmem_cache_destroy (struct kmem_cache * cachep);

ARGUMENTS

cachep
    the cache to destroy

DESCRIPTION

Remove a struct kmem_cache object from the slab cache. Returns 0 on success.

It is expected this function will be called by a module when it is unloaded. This will remove the cache completely, and avoid a duplicate cache being allocated each time a module is loaded and unloaded, if the module doesn't have persistent in-kernel storage across loads and unloads.

The cache must be empty before calling this function.

The caller must guarantee that noone will allocate memory from the cache during the kmem_cache_destroy.